using Netina.Domain.Dtos.ResponseDtos;

namespace Netina.Infrastructure.Services;

public class ExternalFilesService(IRestApiWrapper restApiWrapper, IOptionsSnapshot<SiteSettings> snapshot)
    : IExternalFilesService
{
    private readonly SiteSettings _siteSetting = snapshot.Value;

    public async Task<AdminChangeLogResponseDto> GetAdminChangeLogAsync(CancellationToken cancellationToken = default)
    {
        var changeLog = await restApiWrapper.FileRestApi(_siteSetting.AdminPanelBaseUrl).GetAdminChangeLog();
        return changeLog;
    }
}